Package org.eclipse.m2m.atl.emftvm.util

## Class EnumConversionListOnList

- java.lang.Object
- - org.eclipse.m2m.atl.emftvm.util.LazyCollection<E>
  - - org.eclipse.m2m.atl.emftvm.util.LazyList<java.lang.Object>
    - - org.eclipse.m2m.atl.emftvm.util.EnumConversionList
      - - org.eclipse.m2m.atl.emftvm.util.EnumConversionListOnList

All Implemented Interfaces:
  `java.lang.Iterable<java.lang.Object>`, `java.util.Collection<java.lang.Object>`, `java.util.List<java.lang.Object>`, `org.eclipse.emf.common.util.EList<java.lang.Object>`

    public class EnumConversionListOnList
    extends EnumConversionList

Converts `Enumerator`s to `EnumLiteral`s.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.m2m.atl.emftvm.util.EnumConversionList

`EnumConversionList.EnumConversionIterator`

### Nested classes/interfaces inherited from class org.eclipse.m2m.atl.emftvm.util.LazyList

`LazyList.AppendList<E>, LazyList.CollectList<E>, LazyList.InsertAtList<E>, LazyList.IntegerRangeList, LazyList.LongRangeList, LazyList.NonCachingList<E>, LazyList.PrependList<E>, LazyList.ReverseList<E>, LazyList.SubList<E>, LazyList.UnionList<E>, LazyList.UnionListIterator`

### Nested classes/interfaces inherited from class org.eclipse.m2m.atl.emftvm.util.LazyCollection

`LazyCollection.AppendIterator, LazyCollection.CachingIterator, LazyCollection.CachingSetIterator, LazyCollection.CollectIterator<T>, LazyCollection.ExcludingIterator, LazyCollection.FilterIterator, LazyCollection.FlattenIterator, LazyCollection.FlattenSetIterator, LazyCollection.IntegerRangeListIterator, LazyCollection.IntersectionIterator, LazyCollection.IteratorToListIterator, LazyCollection.LongRangeListIterator, LazyCollection.ReadOnlyIterator<E>, LazyCollection.ReadOnlyListIterator<E>, LazyCollection.RejectIterator, LazyCollection.ReverseIterator, LazyCollection.ReverseListIterator, LazyCollection.SelectIterator, LazyCollection.SubListIterator, LazyCollection.SubListListIterator, LazyCollection.SubtractionIterator, LazyCollection.UnionIterator, LazyCollection.UnionSetIterator, LazyCollection.WrappedIterator, LazyCollection.WrappedListIterator`

### Field Summary

### Fields inherited from class org.eclipse.m2m.atl.emftvm.util.LazyCollection

`cache, dataSource, occurrences`

### Constructor Summary

Constructors
`EnumConversionListOnList​(java.util.List<java.lang.Object> dataSource)` Creates a new `EnumConversionListOnList` around `dataSource`.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `get​(int index)`
`java.lang.Object` `last()` Returns the last element in self.

### Methods inherited from class org.eclipse.m2m.atl.emftvm.util.EnumConversionList

`cache, convert, createCache, iterator, size`

### Methods inherited from class org.eclipse.m2m.atl.emftvm.util.LazyList

`add, addAll, append, asSequence, asString, at, collect, equals, excluding, excludingAll, first, flatten, hashCode, including, including, includingAll, includingAll, includingRange, indexOf, indexOf2, insertAt, lastIndexOf, lastIndexOf2, listIterator, listIterator, move, move, prepend, reject, remove, reverse, select, set, sortedBy, subList, subSequence, union, union`

### Methods inherited from class org.eclipse.m2m.atl.emftvm.util.LazyCollection

`add, addAll, any, appendElements, asBag, asOrderedSet, asSet, clear, contains, containsAll, containsAny, count, excludes, excludesAll, exists, exists2, forAll, forAll2, includes, includesAll, isEmpty, isUnique, iterate, mappedBy, mappedBySingle, max, min, notEmpty, one, product, remove, removeAll, retainAll, sum, toArray, toArray, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Collection

`parallelStream, removeIf, stream, toArray`

### Methods inherited from interface java.lang.Iterable

`forEach`

### Methods inherited from interface java.util.List

`add, addAll, clear, contains, containsAll, isEmpty, remove, removeAll, replaceAll, retainAll, sort, spliterator, toArray, toArray`

### Constructor Detail

#### EnumConversionListOnList

    public EnumConversionListOnList​(java.util.List<java.lang.Object> dataSource)

Creates a new `EnumConversionListOnList` around `dataSource`.

Parameters:
  `dataSource` - the collection to wrap

### Method Detail

#### get

    public java.lang.Object get​(int index)

Specified by:
  `get` in interface `java.util.List<java.lang.Object>`
Overrides:
  `get` in class `LazyList<java.lang.Object>`

#### last

    public java.lang.Object last()

Returns the last element in self.

Overrides:
  `last` in class `LazyList<java.lang.Object>`
Returns:
  The last element in self.